package com.supervision.qanything;

import com.supervision.qanything.dto.ChatResult;
import com.supervision.qanything.dto.ResultWrapper;

import java.security.NoSuchAlgorithmException;
import java.util.List;

/**
 * Qanything 接口服务
 */
public interface QanythingService {


    /**
     * 聊天接口
     * @param question 问题
     * @param kbIds 知识库ID
     * @return
     * @throws NoSuchAlgorithmException
     */
    ResultWrapper<ChatResult> chat(String question,List<String> kbIds) throws NoSuchAlgorithmException;
}
