package com.supervision.qanything.dto;

import lombok.Data;

@Data
public class BaseParam {

    /**
     * 应用标识（应用 ID）
     */
    private String appKey;

    /**
     * 时间戳(秒)
     */
    private String curtime;

    /**
     * 随机字符串 建议使用UUID
     */
    private String salt;

    /**
     * 签名信息：sha256(应用ID+input+salt+curtime+应用密钥)
     */
    private String sign;

    /**
     * 签名类型 v3
     */
    private String signType;

    private String q;

    private String[] img;


}
